## ros-foxy-jackal-gazebo 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jackal_gazebo)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(urdf REQUIRED)
find_package(xacro REQUIRED)

install(
  DIRECTORY
    launch worlds
  DESTINATION
    share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-jackal-gazebo (1.0.0-1focal) focal; urgency=high

  * Cleanup
  * Working gazebo
  * Contributors: Roni Kreinin

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2022 04:00:00 -0000

ros-foxy-jackal-gazebo (0.4.0-1focal) focal; urgency=high

  * Enable the joystick by default. Add yaw to the spawn_jackal launch file
  * Add an additional parameter to enable teleop in the simulations
  * Fix an accidental deletion of a closing tag
  * Move the jackal-spawning into a separate launch file for compatibility with the new sim environments.  Add additional sim worlds: completely empty (useful for replaying bag files w/o risk of obstacle collisions!) and HRTAC since the world was in the repo, but not actually used
  * Contributors: Chris I-B, Chris Iverach-Brereton, Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-foxy-jackal-gazebo (0.3.0-1focal) focal; urgency=high

  * Add small hack to continue supporting the front_laser:=true arg, since that was prominently documented.
  * Change from individual accessory args to a single "config" arg.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-foxy-jackal-gazebo (0.2.3-1focal) focal; urgency=high

  * Added jackal_race world.
  * Add hector_gazebo_plugins dependency.
  * Contributors: Mike Purvis, spourmehr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-foxy-jackal-gazebo (0.2.2-1focal) focal; urgency=high

  * Add author tags.
  * Added launch arg to enable front-facing laser.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-foxy-jackal-gazebo (0.2.1-1focal) focal; urgency=high

  * Install all directories.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-foxy-jackal-gazebo (0.2.0-1focal) focal; urgency=high

  * Default world for Jackal sim is now a green one.
  * Add missing dependencies on Gazebo plugin packages.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

ros-foxy-jackal-gazebo (0.1.0-1focal) focal; urgency=high

  * Initial version
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 07 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-jackal-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: http://wiki.ros.org/jackal_gazebo
Standards-Version: 3.9.2

Package: ros-foxy-jackal-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-gazebo-plugins, ros-foxy-gazebo-ros, ros-foxy-gazebo-ros2-control, ros-foxy-jackal-control, ros-foxy-jackal-description, ros-foxy-ros2launch, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Launchfiles to use Jackal in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-jackal-gazebo//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
